# List conversation messages

## List conversation messages

> Lists conversation messages. This will return a maximum of 100 messages per page, with 10 as default. You can use the \`limit\` and \`pageToken\` query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.<br>

```json
{"openapi":"3.0.3","info":{"title":"Conversations","version":"v1"},"tags":[{"name":"conversation_message","description":"Manage the messages of a conversation."}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"conversationId":{"name":"conversationId","description":"The conversation ID","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},"limit":{"name":"limit","in":"query","required":false,"schema":{"format":"int64","type":"integer"}},"pageToken":{"name":"pageToken","in":"query","required":false,"schema":{"type":"string"}},"reverse":{"name":"reverse","in":"query","required":false,"schema":{"type":"boolean"}},"queryDateFrom":{"in":"query","name":"dateFrom","description":"Filter by created date after this date.","schema":{"type":"string","format":"date-time"}}},"schemas":{"message_list":{"type":"object","title":"MessageList","description":"A list of messages in a conversation. Prefer the shared pagination wrapper at `schemas:/common/v1/pagination.yaml#/components/schemas/PaginatedList` for new consumers; this schema exists for callers that need the legacy unpaginated `{results}` shape.","properties":{"results":{"type":"array","description":"List of messages in the conversation.","items":{"$ref":"#/components/schemas/inbox.conversations.message"}}}},"inbox.conversations.message":{"properties":{"body":{"$ref":"#/components/schemas/channels.messages.body.body"},"channelId":{"format":"uuid","type":"string"},"conversationCreatedAt":{"format":"date-time","type":"string"},"conversationId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"draft":{"description":"Whether this message is a draft.","type":"boolean"},"draftMeta":{"$ref":"#/components/schemas/inbox.conversations.draft_message_meta"},"id":{"description":"A unique identifier for this message.","format":"uuid","type":"string"},"interactions":{"description":"A list of interactions associated with the message (e.g. read receipts, clicks, reactions).","items":{"$ref":"#/components/schemas/channels.messages.interactions.interaction"},"type":"array"},"meta":{"$ref":"#/components/schemas/channels.messages.metadata"},"reason":{"description":"Failure reason. Populated when status is `sending_failed` or `delivery_failed`.","type":"string"},"receiver":{"$ref":"#/components/schemas/channels.participants.receiver"},"receiverTypes":{"description":"Receiver types for the message (to/cc/bcc). Currently only used for inbound email messages.","enum":["to","cc","bcc"],"type":"string"},"recipients":{"items":{"$ref":"#/components/schemas/channels.participants.contact"},"type":"array"},"reference":{"description":"A customizable ID assigned to messages you send. Can be used to correlate messages with data from your own services. Must be globally unique within a workspace.","type":"string"},"replyTo":{"$ref":"#/components/schemas/channels.messages.reply_to"},"resourceUri":{"type":"string"},"sender":{"$ref":"#/components/schemas/inbox.conversations.message_sender"},"source":{"$ref":"#/components/schemas/inbox.conversations.message_source"},"status":{"$ref":"#/components/schemas/inbox.conversations.message_status"},"template":{"$ref":"#/components/schemas/channels.messages.template"},"type":{"enum":["text","html","image","file","gif","location","carousel","list","section","authentication","action"],"type":"string"},"updatedAt":{"format":"date-time","type":"string"}},"required":["id","reference","sender","conversationId","draft","status","source","createdAt","updatedAt"],"title":"Conversation Message","type":"object"},"channels.messages.body.body":{"allOf":[{"properties":{"type":{"enum":["text","html","image","gif","file","location","carousel","list","section","authentication","action"],"type":"string"}},"required":["type"],"type":"object"},{"discriminator":{"mapping":{"action":"#/components/schemas/channels.messages.body.body__action","authentication":"#/components/schemas/channels.messages.body.body__authentication","carousel":"#/components/schemas/channels.messages.body.body__carousel","file":"#/components/schemas/channels.messages.body.body__file","gif":"#/components/schemas/channels.messages.body.body__gif","html":"#/components/schemas/channels.messages.body.body__html","image":"#/components/schemas/channels.messages.body.body__image","list":"#/components/schemas/channels.messages.body.body__list","location":"#/components/schemas/channels.messages.body.body__location","section":"#/components/schemas/channels.messages.body.body__section","text":"#/components/schemas/channels.messages.body.body__text"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/channels.messages.body.body__text"},{"$ref":"#/components/schemas/channels.messages.body.body__html"},{"$ref":"#/components/schemas/channels.messages.body.body__image"},{"$ref":"#/components/schemas/channels.messages.body.body__gif"},{"$ref":"#/components/schemas/channels.messages.body.body__file"},{"$ref":"#/components/schemas/channels.messages.body.body__location"},{"$ref":"#/components/schemas/channels.messages.body.body__carousel"},{"$ref":"#/components/schemas/channels.messages.body.body__list"},{"$ref":"#/components/schemas/channels.messages.body.body__section"},{"$ref":"#/components/schemas/channels.messages.body.body__authentication"},{"$ref":"#/components/schemas/channels.messages.body.body__action"}]}],"title":"Message Body"},"channels.messages.body.body__text":{"properties":{"text":{"$ref":"#/components/schemas/channels.messages.body.text"},"type":{"enum":["text"],"type":"string"}},"required":["text","type"],"type":"object"},"channels.messages.body.text":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"attachments":{"items":{"$ref":"#/components/schemas/channels.messages.body.text_attachment"},"type":"array"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.text"},"text":{"type":"string"}},"required":["text"],"type":"object"},"channels.messages.actions.action":{"allOf":[{"properties":{"type":{"enum":["link","reply","locationRequest","buy","postback"],"type":"string"}},"type":"object"},{"discriminator":{"mapping":{"buy":"#/components/schemas/channels.messages.actions.action__buy","link":"#/components/schemas/channels.messages.actions.action__link","locationRequest":"#/components/schemas/channels.messages.actions.action__locationRequest","postback":"#/components/schemas/channels.messages.actions.action__postback","reply":"#/components/schemas/channels.messages.actions.action__reply"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/channels.messages.actions.action__link"},{"$ref":"#/components/schemas/channels.messages.actions.action__reply"},{"$ref":"#/components/schemas/channels.messages.actions.action__locationRequest"},{"$ref":"#/components/schemas/channels.messages.actions.action__buy"},{"$ref":"#/components/schemas/channels.messages.actions.action__postback"}]}]},"channels.messages.actions.action__link":{"properties":{"link":{"$ref":"#/components/schemas/channels.messages.actions.link"},"type":{"enum":["link"],"type":"string"}},"required":["link","type"],"type":"object"},"channels.messages.actions.link":{"properties":{"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.action_link"},"text":{"type":"string"},"url":{"type":"string"}},"required":["text","url"],"type":"object"},"channels.messages.metadata.action_link":{"properties":{"description":{"$ref":"#/components/schemas/channels.messages.metadata.action_description"}},"type":"object"},"channels.messages.metadata.action_description":{"properties":{"label":{"type":"string"}},"required":["label"],"type":"object"},"channels.messages.actions.action__reply":{"properties":{"reply":{"$ref":"#/components/schemas/channels.messages.actions.reply"},"type":{"enum":["reply"],"type":"string"}},"required":["reply","type"],"type":"object"},"channels.messages.actions.reply":{"properties":{"imageUrl":{"type":"string"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.action_reply"},"text":{"type":"string"}},"required":["text"],"type":"object"},"channels.messages.metadata.action_reply":{"properties":{"description":{"$ref":"#/components/schemas/channels.messages.metadata.action_description"}},"type":"object"},"channels.messages.actions.action__locationRequest":{"properties":{"locationRequest":{"$ref":"#/components/schemas/channels.messages.actions.location_request"},"type":{"enum":["locationRequest"],"type":"string"}},"required":["type"],"type":"object"},"channels.messages.actions.location_request":{"properties":{"text":{"type":"string"}},"type":"object"},"channels.messages.actions.action__buy":{"properties":{"buy":{"$ref":"#/components/schemas/channels.messages.actions.buy"},"type":{"enum":["buy"],"type":"string"}},"required":["buy","type"],"type":"object"},"channels.messages.actions.buy":{"properties":{"amountCents":{"format":"int64","type":"integer"},"currency":{"type":"string"},"text":{"type":"string"}},"required":["text","amountCents","currency"],"type":"object"},"channels.messages.actions.action__postback":{"properties":{"postback":{"$ref":"#/components/schemas/channels.messages.actions.postback"},"type":{"enum":["postback"],"type":"string"}},"required":["postback","type"],"type":"object"},"channels.messages.actions.postback":{"properties":{"handshake":{"$ref":"#/components/schemas/channels.messages.actions.postback_handshake"},"imageUrl":{"type":"string"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.action_postback"},"otpType":{"type":"string"},"payload":{"type":"string"},"text":{"type":"string"}},"required":["text"],"type":"object"},"channels.messages.actions.postback_handshake":{"properties":{"packageName":{"type":"string"},"signatureHash":{"type":"string"},"supportedApps":{"items":{"$ref":"#/components/schemas/channels.messages.actions.postback_handshake_supported_app"},"type":"array"},"text":{"type":"string"},"zeroTapTermsAccepted":{"type":"boolean"}},"required":["text","packageName","signatureHash","zeroTapTermsAccepted"],"type":"object"},"channels.messages.actions.postback_handshake_supported_app":{"properties":{"packageName":{"type":"string"},"signatureHash":{"type":"string"}},"required":["packageName","signatureHash"],"type":"object"},"channels.messages.metadata.action_postback":{"properties":{"description":{"$ref":"#/components/schemas/channels.messages.metadata.action_description"}},"type":"object"},"channels.messages.body.text_attachment":{"properties":{"content":{"type":"string"},"contentId":{"type":"string"},"contentType":{"type":"string"},"filename":{"type":"string"},"inline":{"type":"boolean"},"mediaUrl":{"type":"string"}},"required":["mediaUrl","filename"],"type":"object"},"channels.messages.metadata.text":{"properties":{"apple":{"$ref":"#/components/schemas/channels.messages.metadata.text_apple"},"headers":{"additionalProperties":{"type":"string"},"type":"object"},"line":{"$ref":"#/components/schemas/channels.messages.metadata.text_line"},"paymentDetails":{"$ref":"#/components/schemas/channels.messages.metadata.text_payment_details"},"subject":{"type":"string"},"telegram":{"$ref":"#/components/schemas/channels.messages.metadata.text_telegram"},"whatsapp":{"$ref":"#/components/schemas/channels.messages.metadata.text_whatsapp"}},"type":"object"},"channels.messages.metadata.text_apple":{"properties":{"appClipPreview":{"type":"boolean"},"appClipRegion":{"type":"string"},"summaryText":{"type":"string"}},"type":"object"},"channels.messages.metadata.text_line":{"properties":{"emoji":{"$ref":"#/components/schemas/channels.messages.metadata.text_line_emoji"}},"type":"object"},"channels.messages.metadata.text_line_emoji":{"properties":{"items":{"items":{"$ref":"#/components/schemas/channels.messages.metadata.text_line_emoji_item"},"type":"array"}},"type":"object"},"channels.messages.metadata.text_line_emoji_item":{"properties":{"emojiId":{"type":"string"},"index":{"format":"uint32","type":"integer"},"length":{"format":"uint32","type":"integer"},"productId":{"type":"string"}},"required":["index","productId","emojiId"],"type":"object"},"channels.messages.metadata.text_payment_details":{"properties":{"amount":{"type":"string"},"currency":{"type":"string"},"sessionIdentifier":{"type":"string"},"state":{"type":"string"}},"required":["amount","state","currency"],"type":"object"},"channels.messages.metadata.text_telegram":{"properties":{"parseMode":{"type":"string"}},"type":"object"},"channels.messages.metadata.text_whatsapp":{"properties":{"callPermissionExpiration":{"format":"date-time","type":"string"},"callPermissionResponse":{"$ref":"#/components/schemas/channels.messages.metadata.text_whatsapp_call_permission_response"},"previewUrl":{"type":"boolean"}},"required":["previewUrl"],"type":"object"},"channels.messages.metadata.text_whatsapp_call_permission_response":{"enum":["accept","reject"],"type":"string"},"channels.messages.body.body__html":{"properties":{"html":{"$ref":"#/components/schemas/channels.messages.body.html"},"type":{"enum":["html"],"type":"string"}},"required":["html","type"],"type":"object"},"channels.messages.body.html":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"attachments":{"items":{"$ref":"#/components/schemas/channels.messages.body.html_attachment"},"type":"array"},"html":{"type":"string"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.html"},"text":{"type":"string"}},"type":"object"},"channels.messages.body.html_attachment":{"properties":{"content":{"type":"string"},"contentId":{"type":"string"},"contentType":{"type":"string"},"filename":{"type":"string"},"inline":{"type":"boolean"},"mediaUrl":{"type":"string"}},"required":["filename"],"type":"object"},"channels.messages.metadata.html":{"properties":{"clickTracking":{"type":"boolean"},"from":{"$ref":"#/components/schemas/channels.messages.metadata.email_from"},"headers":{"additionalProperties":{"type":"string"},"type":"object"},"initialOpenTracking":{"type":"boolean"},"openTracking":{"type":"boolean"},"subject":{"type":"string"}},"type":"object"},"channels.messages.metadata.email_from":{"properties":{"displayName":{"type":"string"},"username":{"type":"string"}},"type":"object"},"channels.messages.body.body__image":{"properties":{"image":{"$ref":"#/components/schemas/channels.messages.body.images"},"type":{"enum":["image"],"type":"string"}},"required":["image","type"],"type":"object"},"channels.messages.body.images":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"images":{"items":{"$ref":"#/components/schemas/channels.messages.body.image"},"type":"array"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.images"},"text":{"type":"string"}},"required":["images"],"type":"object"},"channels.messages.body.image":{"properties":{"altText":{"type":"string"},"mediaPreviewUrl":{"type":"string"},"mediaUrl":{"type":"string"}},"required":["mediaUrl"],"type":"object"},"channels.messages.metadata.images":{"properties":{"fallbackText":{"type":"string"},"storyType":{"$ref":"#/components/schemas/channels.messages.metadata.story_type"},"subject":{"type":"string"},"telegram":{"$ref":"#/components/schemas/channels.messages.metadata.images_telegram"}},"type":"object"},"channels.messages.metadata.story_type":{"enum":["mention","reply"],"type":"string"},"channels.messages.metadata.images_telegram":{"properties":{"parseMode":{"type":"string"}},"type":"object"},"channels.messages.body.body__gif":{"properties":{"gif":{"$ref":"#/components/schemas/channels.messages.body.gif"},"type":{"enum":["gif"],"type":"string"}},"required":["gif","type"],"type":"object"},"channels.messages.body.gif":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"altText":{"type":"string"},"mediaUrl":{"type":"string"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.gif"},"text":{"type":"string"}},"required":["mediaUrl"],"type":"object"},"channels.messages.metadata.gif":{"properties":{"telegram":{"$ref":"#/components/schemas/channels.messages.metadata.gif_telegram"}},"type":"object"},"channels.messages.metadata.gif_telegram":{"properties":{"parseMode":{"type":"string"}},"type":"object"},"channels.messages.body.body__file":{"properties":{"file":{"$ref":"#/components/schemas/channels.messages.body.files"},"type":{"enum":["file"],"type":"string"}},"required":["file","type"],"type":"object"},"channels.messages.body.files":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"files":{"items":{"$ref":"#/components/schemas/channels.messages.body.file"},"type":"array"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.files"},"text":{"type":"string"}},"required":["files"],"type":"object"},"channels.messages.body.file":{"properties":{"altText":{"type":"string"},"contentType":{"type":"string"},"filename":{"type":"string"},"mediaUrl":{"type":"string"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.file"}},"required":["contentType","mediaUrl"],"type":"object"},"channels.messages.metadata.file":{"properties":{"isAnimated":{"type":"boolean"}},"type":"object"},"channels.messages.metadata.files":{"properties":{"fallbackText":{"type":"string"},"storyType":{"$ref":"#/components/schemas/channels.messages.metadata.story_type"},"subject":{"type":"string"},"telegram":{"$ref":"#/components/schemas/channels.messages.metadata.files_telegram"}},"type":"object"},"channels.messages.metadata.files_telegram":{"properties":{"parseMode":{"type":"string"}},"type":"object"},"channels.messages.body.body__location":{"properties":{"location":{"$ref":"#/components/schemas/channels.messages.body.location"},"type":{"enum":["location"],"type":"string"}},"required":["location","type"],"type":"object"},"channels.messages.body.location":{"properties":{"coordinates":{"$ref":"#/components/schemas/channels.messages.body.location_coordinates"},"location":{"$ref":"#/components/schemas/channels.messages.body.location_location"}},"required":["coordinates","location"],"type":"object"},"channels.messages.body.location_coordinates":{"properties":{"latitude":{"format":"double","type":"number"},"longitude":{"format":"double","type":"number"}},"required":["latitude","longitude"],"type":"object"},"channels.messages.body.location_location":{"properties":{"address":{"type":"string"},"label":{"type":"string"}},"required":["address","label"],"type":"object"},"channels.messages.body.body__carousel":{"properties":{"carousel":{"$ref":"#/components/schemas/channels.messages.body.carousel"},"type":{"enum":["carousel"],"type":"string"}},"required":["carousel","type"],"type":"object"},"channels.messages.body.carousel":{"properties":{"items":{"items":{"$ref":"#/components/schemas/channels.messages.body.item"},"type":"array"},"text":{"description":"Optional text displayed above the carousel cards.","type":"string"}},"type":"object"},"channels.messages.body.item":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"altText":{"type":"string"},"description":{"type":"string"},"mediaUrl":{"type":"string"},"size":{"format":"int64","type":"integer"},"title":{"type":"string"}},"type":"object"},"channels.messages.body.body__list":{"properties":{"list":{"$ref":"#/components/schemas/channels.messages.body.list"},"type":{"enum":["list"],"type":"string"}},"required":["list","type"],"type":"object"},"channels.messages.body.list":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"altText":{"type":"string"},"items":{"items":{"$ref":"#/components/schemas/channels.messages.body.item"},"type":"array"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.list"},"text":{"type":"string"},"title":{"type":"string"}},"type":"object"},"channels.messages.metadata.list":{"properties":{"button":{"$ref":"#/components/schemas/channels.messages.metadata.action_list_button"},"replyMessage":{"$ref":"#/components/schemas/channels.messages.metadata.action_list_reply_message"}},"type":"object"},"channels.messages.metadata.action_list_button":{"properties":{"label":{"type":"string"}},"required":["label"],"type":"object"},"channels.messages.metadata.action_list_reply_message":{"properties":{"text":{"type":"string"},"title":{"type":"string"}},"required":["title","text"],"type":"object"},"channels.messages.body.body__section":{"properties":{"section":{"$ref":"#/components/schemas/channels.messages.body.section"},"type":{"enum":["section"],"type":"string"}},"required":["section","type"],"type":"object"},"channels.messages.body.section":{"properties":{"configurations":{"additionalProperties":{"type":"string"},"type":"object"},"items":{"items":{"$ref":"#/components/schemas/channels.messages.body.body"},"type":"array"}},"title":"Message Body Section","type":"object"},"channels.messages.body.body__authentication":{"properties":{"authentication":{"$ref":"#/components/schemas/channels.messages.body.authentication"},"type":{"enum":["authentication"],"type":"string"}},"required":["authentication","type"],"type":"object"},"channels.messages.body.authentication":{"properties":{"otp":{"$ref":"#/components/schemas/channels.messages.body.authentication_otp"}},"type":"object"},"channels.messages.body.authentication_otp":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/channels.messages.actions.action"},"type":"array"},"disclaimer":{"description":"Whether to add a security disclaimer to the authentication body.","type":"boolean"},"expirationTime":{"description":"The number of seconds after which the authentication code expires. If not set, no expiration notification is sent.","format":"uint32","type":"integer"}},"required":["disclaimer"],"type":"object"},"channels.messages.body.body__action":{"properties":{"action":{"$ref":"#/components/schemas/channels.messages.body.action"},"type":{"enum":["action"],"type":"string"}},"required":["action","type"],"type":"object"},"channels.messages.body.action":{"allOf":[{"properties":{"action":{"$ref":"#/components/schemas/channels.messages.body.action_type"}},"required":["action"],"type":"object"},{"oneOf":[{"properties":{"permissionRequest":{"$ref":"#/components/schemas/channels.messages.body.action_permission_request"}},"required":["permissionRequest"],"type":"object"}]}]},"channels.messages.body.action_type":{"enum":["permissionRequest"],"type":"string"},"channels.messages.body.action_permission_request":{"properties":{"resource":{"$ref":"#/components/schemas/channels.messages.body.permission_resource"}},"required":["resource"],"type":"object"},"channels.messages.body.permission_resource":{"enum":["call"],"type":"string"},"inbox.conversations.draft_message_meta":{"description":"Metadata for draft messages.","properties":{"creatorType":{"$ref":"#/components/schemas/inbox.conversations.draft_message_creator_type"}},"required":["creatorType"],"type":"object"},"inbox.conversations.draft_message_creator_type":{"enum":["user","bot"],"type":"string"},"channels.messages.interactions.interaction":{"properties":{"bodyTemplateProjectId":{"format":"uuid","type":"string"},"channelId":{"format":"uuid","type":"string"},"context":{"$ref":"#/components/schemas/channels.messages.context"},"createdAt":{"format":"date-time","type":"string"},"details":{"type":"string"},"id":{"format":"uuid","type":"string"},"isFirstInteraction":{"type":"boolean"},"isFirstInteractionIncludingBots":{"type":"boolean"},"journey":{"$ref":"#/components/schemas/channels.messages.metadata.flow"},"messageCreatedAt":{"format":"date-time","type":"string"},"messageId":{"format":"uuid","type":"string"},"messagePartsCount":{"format":"int32","type":"integer"},"messageReference":{"type":"string"},"messageTags":{"items":{"type":"string"},"type":"array"},"metadata":{"$ref":"#/components/schemas/channels.messages.interactions.metadata"},"notification":{"$ref":"#/components/schemas/channels.notifications.message_notification"},"platformId":{"type":"string"},"platformReferenceId":{"type":"string"},"receiver":{"$ref":"#/components/schemas/channels.participants.receiver"},"type":{"$ref":"#/components/schemas/channels.messages.interactions.type"},"useCaseType":{"$ref":"#/components/schemas/channels.use_case_type"}},"required":["id","type","createdAt","messageId","channelId","platformId","messageReference","messagePartsCount","receiver","context"],"type":"object"},"channels.messages.context":{"properties":{"id":{"type":"string"},"tagIds":{"items":{"format":"uuid","type":"string"},"type":"array"},"type":{"type":"string"}},"type":"object"},"channels.messages.metadata.flow":{"properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"runId":{"format":"uuid","type":"string"},"scheduleExecutionId":{"format":"uuid","type":"string"},"stepId":{"type":"string"}},"title":"Message Flow Meta","type":"object"},"channels.messages.interactions.metadata":{"properties":{"button":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.button"},"conversion":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.conversion"},"extraInformation":{"additionalProperties":{"type":"string"},"type":"object"},"link":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.link"},"prefetched":{"type":"boolean"},"reaction":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.reaction"},"renderedContentBlocks":{"items":{"type":"string"},"type":"array"},"subscriptionList":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.subscription_list"}},"type":"object"},"channels.messages.interactions.metadata.button":{"properties":{"payload":{"type":"string"}},"required":["payload"],"type":"object"},"channels.messages.interactions.metadata.conversion":{"properties":{"method":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.conversion_method"},"status":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.conversion_status"},"timestamp":{"format":"date-time","type":"string"},"type":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.conversion_type"}},"type":"object"},"channels.messages.interactions.metadata.conversion_method":{"enum":["unknown","manual","auto"],"type":"string"},"channels.messages.interactions.metadata.conversion_status":{"enum":["converted","canceled","notConverted","incorrectCode","resent","receivedAfterExpiration"],"type":"string"},"channels.messages.interactions.metadata.conversion_type":{"enum":["otp","url","promoCode"],"type":"string"},"channels.messages.interactions.metadata.link":{"properties":{"clickType":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.link_click_type"},"name":{"type":"string"},"url":{"type":"string"}},"required":["name","url"],"type":"object"},"channels.messages.interactions.metadata.link_click_type":{"enum":["link","button"],"type":"string"},"channels.messages.interactions.metadata.reaction":{"properties":{"action":{"$ref":"#/components/schemas/channels.messages.interactions.metadata.reaction_action"},"emoji":{"type":"string"}},"required":["emoji","action"],"type":"object"},"channels.messages.interactions.metadata.reaction_action":{"enum":["react","unreact"],"type":"string"},"channels.messages.interactions.metadata.subscription_list":{"properties":{"subscriptionListId":{"format":"uuid","type":"string"}},"required":["subscriptionListId"],"type":"object"},"channels.notifications.message_notification":{"properties":{"template":{"type":"string"},"url":{"type":"string"}},"required":["url"],"type":"object"},"channels.participants.receiver":{"properties":{"connector":{"$ref":"#/components/schemas/channels.participants.connector"},"contacts":{"items":{"$ref":"#/components/schemas/channels.participants.contact"},"type":"array"},"device":{"$ref":"#/components/schemas/channels.participants.device"},"inbox":{"$ref":"#/components/schemas/channels.participants.inbox"},"userContacts":{"items":{"$ref":"#/components/schemas/channels.participants.user_contact"},"type":"array"}},"type":"object"},"channels.participants.connector":{"properties":{"annotations":{"$ref":"#/components/schemas/channels.participants.contact_annotation"},"id":{"format":"uuid","type":"string"},"identifierValue":{"description":"The identifier value of the sender or receiver connector (e.g. email address or phone number).","type":"string"},"types":{"items":{"type":"string"},"type":"array"}},"required":["id"],"type":"object"},"channels.participants.contact_annotation":{"description":"Annotations add extra information to a sender or receiver. For email messages, the name annotation overrides the display name.","properties":{"name":{"type":"string"}},"type":"object"},"channels.participants.contact":{"properties":{"contactAnnotation":{"$ref":"#/components/schemas/channels.participants.contact_annotation"},"countryCode":{"type":"string"},"id":{"description":"The ID of the contact.","format":"uuid","type":"string"},"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber). For WhatsApp channels with BSUID support, use `whatsappbsuid` to send to a contact by their Business-Scoped User ID.","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"},"identifiers":{"description":"Additional identifiers to augment the contact during resolution.","items":{"$ref":"#/components/schemas/channels.participants.identifier"},"type":"array"},"platformAddress":{"description":"The resolved platform address used to deliver the message (e.g. phone number or email address).","type":"string"},"platformAddressSelector":{"description":"An expression that defines how we resolve the platform address from a contact. Optional override for the default resolution logic.","type":"string"},"receiverExpression":{"type":"string"},"receiverValue":{"type":"string"},"type":{"description":"The type of the receiver (e.g. to, cc, bcc for email).","type":"string"}},"type":"object"},"channels.participants.identifier":{"properties":{"identifierKey":{"description":"The identifier key for finding the contact (e.g. emailaddress, phonenumber).","type":"string"},"identifierValue":{"description":"The identifier value for finding the contact.","type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"channels.participants.device":{"properties":{"gateway":{"$ref":"#/components/schemas/channels.participants.push_notification_gateway"},"id":{"format":"uuid","type":"string"},"identifierValue":{"type":"string"}},"required":["id","identifierValue","gateway"],"type":"object"},"channels.participants.push_notification_gateway":{"enum":["firebase","apns","web"],"type":"string"},"channels.participants.inbox":{"properties":{"emailRecipientType":{"type":"string"},"id":{"format":"uuid","type":"string"},"identifierKey":{"type":"string"},"identifierValue":{"type":"string"},"type":{"$ref":"#/components/schemas/channels.inbox_type"}},"required":["id","type","identifierKey","identifierValue"],"type":"object"},"channels.inbox_type":{"enum":["user","group"],"type":"string"},"channels.participants.user_contact":{"properties":{"id":{"format":"uuid","type":"string"},"identifierKey":{"type":"string"},"identifierValue":{"type":"string"},"type":{"type":"string"}},"required":["id","identifierKey","identifierValue"],"type":"object"},"channels.messages.interactions.type":{"enum":["read","opened","clicked","reportedAsSpam","unsubscribeRequest","delete","reaction","subscribeRequest","subscribeConsent","conversion"],"type":"string"},"channels.use_case_type":{"enum":["unspecified","marketing","otp","transactional","conversation","test"],"type":"string"},"channels.messages.metadata":{"properties":{"campaign":{"$ref":"#/components/schemas/channels.messages.metadata.campaign"},"campaignId":{"format":"uuid","type":"string"},"chargeOnceDelivered":{"type":"boolean"},"email":{"$ref":"#/components/schemas/channels.messages.metadata.meta_email"},"extraInformation":{"additionalProperties":{"type":"string"},"type":"object"},"flow":{"$ref":"#/components/schemas/channels.messages.metadata.flow"},"formResponse":{"$ref":"#/components/schemas/channels.messages.metadata.form_response"},"ignoreGlobalHoldout":{"type":"boolean"},"ignoreQuietHours":{"type":"boolean"},"journey":{"$ref":"#/components/schemas/channels.messages.metadata.flow"},"longToShortLinks":{"additionalProperties":{"type":"string"},"type":"object"},"metaThreadId":{"type":"string"},"navigatorId":{"format":"uuid","type":"string"},"navigatorMessageId":{"format":"uuid","type":"string"},"order":{"$ref":"#/components/schemas/channels.messages.metadata.order"},"pushNotifications":{"$ref":"#/components/schemas/channels.messages.metadata.push_notifications"},"referral":{"$ref":"#/components/schemas/channels.messages.referral"},"referredProduct":{"$ref":"#/components/schemas/channels.messages.metadata.referred_product"},"renderedContentBlocks":{"items":{"type":"string"},"type":"array"},"shortToLongLinks":{"additionalProperties":{"type":"string"},"type":"object"},"skipThisMessage":{"$ref":"#/components/schemas/channels.messages.skip_reason"},"sms":{"$ref":"#/components/schemas/channels.metadata.sms"},"useFallback":{"type":"boolean"}},"title":"Message Meta","type":"object"},"channels.messages.metadata.campaign":{"properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"}},"title":"Message Campaign Meta","type":"object"},"channels.messages.metadata.meta_email":{"properties":{"from":{"$ref":"#/components/schemas/channels.messages.metadata.email_from"},"headers":{"additionalProperties":{"type":"string"},"type":"object"},"subject":{"type":"string"}},"title":"Message Email Meta","type":"object"},"channels.messages.metadata.form_response":{"properties":{"id":{"format":"uuid","type":"string"},"jsonResponse":{"type":"string"},"requestIdentifier":{"format":"uuid","type":"string"},"selections":{"items":{"$ref":"#/components/schemas/channels.messages.metadata.form_response_selection"},"type":"array"},"sessionIdentifier":{"format":"uuid","type":"string"},"template":{"type":"string"},"version":{"type":"string"}},"required":["id","template","version","sessionIdentifier","requestIdentifier","jsonResponse"],"title":"Form Response","type":"object"},"channels.messages.metadata.form_response_selection":{"properties":{"items":{"items":{"$ref":"#/components/schemas/channels.messages.metadata.form_response_selection_tem"},"type":"array"},"pageIdentifier":{"type":"string"},"subtitle":{"type":"string"},"title":{"type":"string"}},"required":["pageIdentifier","subtitle","title"],"title":"Form Response Selection","type":"object"},"channels.messages.metadata.form_response_selection_tem":{"properties":{"identifier":{"type":"string"},"title":{"type":"string"},"type":{"type":"string"},"value":{"type":"string"}},"required":["identifier","value","type","title"],"title":"Form Response Selection Item","type":"object"},"channels.messages.metadata.order":{"description":"The order object contains information about the purchase order associated with the message.","properties":{"products":{"items":{"$ref":"#/components/schemas/channels.messages.metadata.order_product"},"type":"array"}},"title":"Message Order","type":"object"},"channels.messages.metadata.order_product":{"properties":{"externalCatalogId":{"description":"The platform-specific catalog ID of the product.","type":"string"},"externalProductId":{"description":"The platform-specific product ID.","type":"string"},"price":{"$ref":"#/components/schemas/semantic.money"},"quantity":{"description":"The number of items purchased.","format":"int32","type":"integer"}},"required":["externalProductId","quantity","price"],"title":"Message Order Product","type":"object"},"semantic.money":{"properties":{"amount":{"format":"int64","type":"integer"},"currencyCode":{"type":"string"},"exponent":{"format":"int32","type":"integer"}},"required":["amount","exponent","currencyCode"],"type":"object"},"channels.messages.metadata.push_notifications":{"properties":{"gatewayTypeOverride":{"$ref":"#/components/schemas/channels.participants.push_notification_gateway"}},"title":"Message Push Notifications Meta","type":"object"},"channels.messages.referral":{"properties":{"group":{"type":"string"},"metadata":{"$ref":"#/components/schemas/channels.messages.metadata.referral"},"source":{"type":"string"},"text":{"type":"string"},"title":{"type":"string"}},"required":["source"],"title":"Message Referral","type":"object"},"channels.messages.metadata.referral":{"properties":{"caption":{"type":"string"},"mediaType":{"type":"string"},"mediaUrl":{"type":"string"},"sourceId":{"type":"string"},"sourceUrl":{"type":"string"},"timestamp":{"format":"date-time","type":"string"},"trackingId":{"type":"string"},"username":{"type":"string"}},"required":["sourceId"],"title":"Message Referral Metadata","type":"object"},"channels.messages.metadata.referred_product":{"description":"Referred product in an incoming message (e.g. a product shared in a WhatsApp catalog message).","properties":{"externalCatalogId":{"description":"The platform-specific catalog ID of the product.","type":"string"},"externalProductId":{"description":"The platform-specific product ID.","type":"string"}},"required":["externalProductId"],"title":"Referred Product","type":"object"},"channels.messages.skip_reason":{"enum":["campaignHoldout","globalHoldout","journeyHoldout"],"type":"string"},"channels.metadata.sms":{"properties":{"gatewayId":{"format":"int32","type":"integer"},"registeredDelivery":{"$ref":"#/components/schemas/channels.sms.registered_delivery"},"smartEncoding":{"description":"When enabled, attempts to transliterate Unicode characters to GSM-7 equivalents. If the resulting text is fully GSM-7 compatible, fewer message segments may be required. The original message body is preserved; transliteration is only applied when sending.","type":"boolean"},"smpp":{"$ref":"#/components/schemas/channels.metadata.sms_smpp"},"validity":{"format":"date-time","type":"string"}},"type":"object"},"channels.sms.registered_delivery":{"enum":["final","intermediate","all","noDlr"],"type":"string"},"channels.metadata.sms_smpp":{"properties":{"segments":{"items":{"$ref":"#/components/schemas/channels.metadata.sms_segment"},"type":"array"},"userId":{"format":"uuid","type":"string"}},"required":["userId"],"type":"object"},"channels.metadata.sms_segment":{"properties":{"id":{"format":"uuid","type":"string"},"registeredDelivery":{"$ref":"#/components/schemas/channels.sms.registered_delivery"}},"required":["id","registeredDelivery"],"type":"object"},"channels.messages.reply_to":{"properties":{"id":{"description":"The ID of the message that is being replied to.","format":"uuid","type":"string"},"order":{"description":"The order of the message part in the conversation.","format":"int32","type":"integer"},"platformReference":{"type":"string"},"type":{"$ref":"#/components/schemas/channels.messages.reply_to_type"}},"type":"object"},"channels.messages.reply_to_type":{"enum":["message","click"],"type":"string"},"inbox.conversations.message_sender":{"allOf":[{"properties":{"email":{"type":"string"},"name":{"type":"string"}},"type":"object"},{"$ref":"#/components/schemas/inbox.conversations.participant"}]},"inbox.conversations.participant":{"properties":{"avatarUrl":{"type":"string"},"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"conversationId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"displayName":{"type":"string"},"id":{"type":"string"},"resourceUri":{"type":"string"},"status":{"$ref":"#/components/schemas/inbox.conversations.participant_status"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"},"updatedAt":{"format":"date-time","type":"string"}},"required":["id","type"],"title":"Conversation Participant","type":"object"},"inbox.conversations.participant_contact":{"properties":{"identifierKey":{"type":"string"},"identifierValue":{"type":"string"},"platformAddress":{"type":"string"},"platformAddressSelector":{"type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.participant_status":{"enum":["invited","pending","active","inactive"],"type":"string"},"inbox.conversations.participant_type":{"enum":["user","contact","agent","flow","bot","accessKey","channel","connector","collaborationAutomation"],"type":"string"},"inbox.conversations.message_source":{"enum":["conversations","channels","bots","external"],"type":"string"},"inbox.conversations.message_status":{"enum":["accepted","processing","sent","sending_failed","delivered","delivery_failed","deleted"],"type":"string"},"channels.messages.template":{"properties":{"attachments":{"items":{"$ref":"#/components/schemas/channels.messages.template_attachment"},"type":"array"},"deployment":{"additionalProperties":{"type":"string"},"type":"object"},"locale":{"type":"string"},"name":{"description":"The platform name of the template.","type":"string"},"parameters":{"items":{"$ref":"#/components/schemas/channels.messages.template_parameter"},"type":"array"},"projectId":{"description":"The ID of the project from Studio.","format":"uuid","type":"string"},"settings":{"$ref":"#/components/schemas/channels.messages.template_settings"},"shortLinks":{"$ref":"#/components/schemas/channels.messages.short_links"},"templateBody":{"$ref":"#/components/schemas/channels.messages.body.body"},"utmParameters":{"items":{"$ref":"#/components/schemas/channels.messages.utm_parameter"},"type":"array"},"variables":{"additionalProperties":{"type":"string"},"type":"object"},"version":{"description":"The version of the template.","type":"string"}},"required":["projectId","version","locale"],"type":"object"},"channels.messages.template_attachment":{"properties":{"content":{"type":"string"},"contentType":{"type":"string"},"filename":{"type":"string"},"inline":{"type":"boolean"},"mediaUrl":{"type":"string"}},"required":["mediaUrl","filename","inline"],"type":"object"},"channels.messages.template_parameter":{"properties":{"key":{"type":"string"},"sourceUrl":{"$ref":"#/components/schemas/channels.messages.source_url"},"type":{"$ref":"#/components/schemas/channels.messages.template_parameter_type"},"value":{"nullable":true,"oneOf":[{"type":"object"},{"items":{},"type":"array"},{"type":"string"},{"type":"number"},{"type":"boolean"}]}},"required":["type","key","value"],"type":"object"},"channels.messages.source_url":{"properties":{"fullyReplaced":{"type":"boolean"},"value":{"type":"string"}},"required":["value","fullyReplaced"],"type":"object"},"channels.messages.template_parameter_type":{"enum":["string","timeslotList","productSections","productList","number","boolean","sectionList","shippingMethodList","lineItemList","whatsappProductSections","whatsappProductItems","shortLink","object","carouselCards","appleFormPageItems"],"type":"string"},"channels.messages.template_settings":{"properties":{"disallowMmLite":{"type":"boolean"}},"type":"object"},"channels.messages.short_links":{"properties":{"domain":{"description":"The domain to use when shortening links. When set to `default`, uses the default link shortening domain for the workspace.","type":"string"},"enabled":{"description":"Enables link shortening for SMS messages.","type":"boolean"}},"required":["enabled","domain"],"type":"object"},"channels.messages.utm_parameter":{"allOf":[{"properties":{"key":{"type":"string"}},"required":["key"],"type":"object"},{"oneOf":[{"properties":{"value":{"type":"string"}},"required":["value"],"type":"object"},{"properties":{"reference":{"$ref":"#/components/schemas/channels.messages.utm_parameter_reference"}},"required":["reference"],"type":"object"}]}]},"channels.messages.utm_parameter_reference":{"enum":["platform_name","channel_name"],"type":"string"},"Pagination":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display."},"total":{"type":"integer","format":"uint64"},"totalType":{"type":"string","enum":["","equal","greaterThanOrEqual"]}}},"GenericError":{"additionalProperties":false,"properties":{"code":{"type":"string","description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","pattern":"^([A-Z][a-z]*)+$"},"message":{"type":"string","description":"A human-readable message that describes the error."},"details":{"type":"object","description":"Additional details about the error. This object can contain any additional information that may be useful for debugging.","additionalProperties":true}},"required":["code","message"]},"NotFoundError":{"additionalProperties":false,"properties":{"code":{"type":"string","description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","pattern":"^([A-Z][a-z]*)+$"},"message":{"type":"string","description":"A human-readable message that describes the error."},"details":{"type":"object","description":"Additional details about the error. This object can contain any additional information that may be useful for debugging.","additionalProperties":true}},"required":["code","message"]},"ConflictError":{"additionalProperties":false,"properties":{"code":{"type":"string","description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","pattern":"^([A-Z][a-z]*)+$"},"message":{"type":"string","description":"A human-readable message that describes the error."},"details":{"type":"object","description":"Additional details about the error. This object can contain any additional information that may be useful for debugging.","additionalProperties":true}},"required":["code","message"]}},"responses":{"forbidden":{"description":"User has no access to the requested resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericError"}}}},"notFound":{"description":"The resource specified in the URL was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"conflict":{"description":"The resource is in a conflicting state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConflictError"}}}}}},"paths":{"/workspaces/{workspaceId}/conversations/{conversationId}/messages":{"get":{"summary":"List conversation messages","operationId":"listConversationMessages","description":"Lists conversation messages. This will return a maximum of 100 messages per page, with 10 as default. You can use the `limit` and `pageToken` query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.\n","tags":["conversation_message"],"parameters":[{"$ref":"#/components/parameters/conversationId"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/pageToken"},{"$ref":"#/components/parameters/reverse"},{"$ref":"#/components/parameters/queryDateFrom"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/message_list"},{"$ref":"#/components/schemas/Pagination"}]}}}},"403":{"$ref":"#/components/responses/forbidden"},"404":{"$ref":"#/components/responses/notFound"},"409":{"$ref":"#/components/responses/conflict"}}}}}}
```

## Examples

{% tabs %}
{% tab title="Request" %}

```bash
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/16e1df9e-c6ac-406b-b1ce-13f34d0dea08/messages" \
-H "Authorization: AccessKey abcd"
```

{% endtab %}

{% tab title="Response (200 - OK)" %}

```json
{
  "results": [
    {
      "id": "0c854061-6026-48c7-a2e8-bffb6458727b",
      "conversationId": "16e1df9e-c6ac-406b-b1ce-13f34d0dea08",
      "reference": "",
      "sender": {
        "id": "68b80b8d-8060-42df-bda3-73505a8fdb84",
        "type": "accessKey",
        "status": "active",
        "displayName": "My first email key",
        "avatarUrl": ""
      },
      "draft": false,
      "recipients": [
        {
          "type": "to",
          "id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
          "identifierKey": "emailaddress",
          "identifierValue": "some.customer@example.com",
          "platformAddress": "some.customer@example.com",
          "contactAnnotation": {
            "name": "John Doe"
          }
        }
      ],
      "status": "delivered",
      "source": "conversations",
      "body": {
        "type": "text",
        "text": {
          "text": "Hey, listen!"
        }
      },
      "interactions": null,
      "createdAt": "2024-11-25T20:12:10.514Z",
      "updatedAt": "2024-11-25T20:12:35.281Z"
    },
    {
      "id": "3e75a9d2-2a54-45ac-856a-bbe02f874332",
      "conversationId": "16e1df9e-c6ac-406b-b1ce-13f34d0dea08",
      "reference": "3e75a9d2-2a54-45ac-856a-bbe02f874332",
      "sender": {
        "id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
        "type": "contact",
        "status": "active",
        "displayName": "John Doe",
        "avatarUrl": "",
        "contact": {
          "identifierKey": "emailaddress",
          "identifierValue": "some.customer@example.com",
          "platformAddress": "some.customer@example.com",
        }
      },
      "draft": false,
      "status": "delivered",
      "source": "channels",
      "body": {
        "type": "html",
        "html": {
          "text": "test\r\n",
          "html": "<p>test</p>"
        }
      },
      "interactions": null,
      "createdAt": "2024-11-25T19:31:47.264Z",
      "updatedAt": "2024-11-25T19:31:47.264Z",
      "meta": {
        "extraInformation": {
          "email_headers": "eyJTdWJqZWN0IjpbInRlc3QiXX0="
        }
      },
      "receiverTypes": [
        "to"
      ]
    }
  ]
}
```

{% endtab %}
{% endtabs %}

**Note**: if the conversation has more than 10 messages, the results may be paginated. Please refer to [Pagination](/api/api-access/common-api-usage.md#pagination) on how to use `nextPageToken`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/conversations-api/api-reference/conversations-messaging/list-conversation-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
